/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.model;

import com.googlepages.dronten.jtagger.audio.AudioGenre;

import javax.swing.*;
import java.util.Collections;
import java.util.Vector;


/**
 * Create strings for the Genre combo box.
 */
public class GenreModel extends DefaultComboBoxModel {
    private static final long   serialVersionUID = 1;
    private Vector<String>      aGenre = new Vector<String>();


    /**
     *
     */
    public GenreModel() {
        for (String s : AudioGenre.get().getGenres()) {
            aGenre.add(s);
        }
        Collections.sort(aGenre);
    }


    /**
     * @param addMe - Add this text first in list
     */
    public GenreModel(String addMe) {
        for (String s : AudioGenre.get().getGenres()) {
            aGenre.add(s);
        }
        Collections.sort(aGenre);
        aGenre.insertElementAt(addMe, 0);
    }


    /**
     * @param index
     * @return
     */
    public Object getElementAt(int index) {
        return aGenre.get(index);
    }


    /**
     * @return
     */
    public int getSize() {
        return aGenre.size();
    }
}
